project (Filtrtor)

FIND_PACKAGE(Boost COMPONENTS program_options filesystem)

include_directories (${Matrices_SOURCE_DIR} ${Boost_INCLUDE_DIR})
link_directories(${Matrices_BINARY_DIR})

add_executable(filtrator filtrator.cpp options.cpp)

target_link_libraries(filtrator matrices ${Boost_LIBRARIES})
target_link_libraries(filtrator ${LOG4CXX_LIBRARY})
